View Issue Details

IDProjectCategoryView StatusLast Update
0001410WishesPlugins APIpublic2013-02-03 00:33
ReporterMaximus Assigned Tozg  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindows 
Product Version2.0 
Fixed in Version3.0 
Summary0001410: Добавить флаг в OpenFilePluginW для распознавания архивных операций (ShiftF3)
DescriptionВ некоторых случаях плагин не предоставляет никаких возможностей для работы с открываемым файлом, как с архивом. Пример - PicView.

Wish. Как минимум - при ShiftF3 передавать в плагин флаг OPM_SILENT. А лучше - в паре с новым OPM_OPERATION.
TagsNo tags attached.
Build2483

Activities

Maximus

2010-06-16 22:04

reporter  

100617.diff.7z (1,549 bytes)

chupakabra

2010-09-13 08:24

developer   bugnote:0005763

А зачем OPM_SILENT? Архивные плагины показывают меню по Shift+F3.

Maximus

2010-09-13 18:49

reporter   bugnote:0005765

Хм. Да, OPM_SILENT наверное не нужен. OPM_OPERATION вполне будет достаточно.

Но еще хотелось бы увидеть что-то для различения попытки входа в архив через Enter и через CtrlPgDn. Скажем, при попытке входа в архив после "нажатия Enter" передавать новый флаг OPM_EXECUTE.
Пример - ImpEx. Я бы хотел по Enter предлагать пользователю на выбор, в зависимости от содержимого (экспортируемых функций): загрузка/выгрузка плагина, регистрация/дерегистрация com-сервера, и пр.

Вот только возникает вопрос: что делать в том случае, когда несколько плагинов "соглашаются" открыть файл? Могут возникнуть казусы. Некоторые иp плагинов (которые соглашаются "открыть" файл) могут выполнить операции еще до отображения меню выбора плагинов.

samlyukov

2011-09-10 07:31

reporter   bugnote:0007639

как тут, в свете АПИ-3?

zg

2012-02-22 16:50

developer   bugnote:0008635

2483.

samlyukov

2012-03-09 04:23

reporter   bugnote:0008720

где Maximus? отработано?

Maximus

2012-03-09 15:19

reporter   bugnote:0008723

ok

Issue History

Date Modified Username Field Change
2010-06-16 22:04 Maximus New Issue
2010-06-16 22:04 Maximus File Added: 100617.diff.7z
2010-09-13 08:24 chupakabra Note Added: 0005763
2010-09-13 18:49 Maximus Note Added: 0005765
2011-09-10 07:31 samlyukov Note Added: 0007639
2012-02-22 16:50 zg Note Added: 0008635
2012-03-09 04:23 samlyukov Note Added: 0008720
2012-03-09 15:19 Maximus Note Added: 0008723
2012-03-09 15:19 Maximus Status new => resolved
2012-04-25 08:14 vskirdin Build => 2483
2012-04-25 08:14 vskirdin Status resolved => closed
2012-04-25 08:14 vskirdin Assigned To => zg
2012-04-25 08:14 vskirdin Resolution open => fixed
2012-04-25 08:14 vskirdin Fixed in Version => 3.0
2013-02-03 00:33 alexy Severity minor => feature